<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html   xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" template="./../plantillas/plantilla1.xhtml">
        <!-- Contenedor -->
        <ui:define name="content"><br/><br/><br/>
            
            <section>
                <div class="titulo1">Contáctanos</div>
            </section>
            
            <section>
                <h:form class="form-horizontal"><br/>
                    <div class="form-group">
                        <div class="col-lg-4"/>
                        <div class="col-lg-4">
                            <p:outputLabel style="size: 25px" value="Nombre"/>
                            <p:inputText id="nombre" class="form-control" value="#{mensajesBean.nuevoMensaje.mensajeNombre}" style="width: 100%"
                                         required="true" requiredMessage="Escriba su nombre." validatorMessage="Escriba un nombre válido">
                                <f:validateRegex pattern="^([a-zA-Z ÑÁÉÍÓÚÜñáéíóúü.]{3,75})*$"/>
                            </p:inputText>
                            <p:message for="nombre"/>
                        </div>
                        <div class="col-lg-4"/>
                    </div>
                
                    <div class="form-group">
                        <div class="col-lg-4"/>
                        <div class="col-lg-4">
                            <p:outputLabel style="size: 25px" value="Correo"/>
                            <p:inputText id="correo" class="form-control" value="#{mensajesBean.nuevoMensaje.mensajeCorreo}" style="width: 100%"
                                         required="true" requiredMessage="Escriba su correo electrónico." validatorMessage="Escriba un correo electrónico válido">
                                <f:validateRegex pattern="^([a-zA-Z0-9._%-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4})*$"/>
                            </p:inputText>
                            <p:message for="correo"/>
                        </div>
                        <div class="col-lg-4"/>
                    </div>
                
                    <div class="form-group">
                        <div class="col-lg-4"/>
                        <div class="col-lg-4">
                            <p:outputLabel style="size: 25px" value="Mensaje"/>
                            <p:inputTextarea id="mensaje" rows="5" class="form-control" value="#{mensajesBean.nuevoMensaje.mensajeMensaje}" style="width: 100%"
                                             required="true" requiredMessage="Escriba un mensaje."/>
                            <p:message for="mensaje"/>
                        </div>
                        <div class="col-lg-4"/>
                    </div>
                    
                    <div class="form-group">
                        <div class="col-lg-4"/>
                        <div class="col-lg-4" align="center">
                            <a href="index.jsf" class="btn">Cancelar</a>
                            <label> </label>
                            <h:commandLink id="enviar" type="submit" value="Enviar" class="btn" action="#{mensajesBean.guardarMensaje()}"/>
                        </div>
                        <div class="col-lg-4"/>
                    </div><label/>
                </h:form>
            </section>
            
        </ui:define>
    </ui:composition>
</html>
